import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_bitwardenrs_running(host):
    bitwardenrs = host.docker("bitwardenrs")

    assert bitwardenrs.is_running


def test_bitwardenrs_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:8080").is_listening


def test_bitwardenrs_conn_error(host):
    code = int(host.run("curl -s -w '%{http_code}' http://127.0.0.1:8080/alive -o /dev/null").stdout)
    body = host.run("curl -sX GET http://127.0.0.1:8080/").stdout

    assert code == 200
    assert "Bitwarden Web Vault" in body
